Skip to main content
PATCH
/
project
/
{project_id}
/
location
/
{location}
/
machine-image
/
{machine_image_reference}
Update a machine image
curl --request PATCH \
  --url https://api.ubicloud.com/project/{project_id}/location/{location}/machine-image/{machine_image_reference} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "latest_version": "<string>"
}
'
import requests

url = "https://api.ubicloud.com/project/{project_id}/location/{location}/machine-image/{machine_image_reference}"

payload = { "latest_version": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({latest_version: '<string>'})
};

fetch('https://api.ubicloud.com/project/{project_id}/location/{location}/machine-image/{machine_image_reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "m1n30gjk1d1e2jj34v9x0dq4rp",
  "name": "my-image",
  "location": "eu-central-h1",
  "created_at": "2023-11-07T05:31:56Z",
  "latest_version": "<string>"
}
{
"error": {
"code": 401,
"message": "There was an error logging in",
"type": "InvalidCredentials",
"details": {}
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

machine_image_reference
string
required

Machine Image ID or name Resource ID or name

Pattern: ^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$
project_id
string
required

ID of the project

Pattern: ^pj[0-9a-hj-km-np-tv-z]{24}$
Example:

"pjkkmx0f2vke4h36nk9cm8v8q0"

location
string
required

The Ubicloud location/region

Example:

"eu-central-h1"

Body

application/json
latest_version
string
required

Version label to set as latest

Response

A machine image

id
string
required

ID of the machine image

Pattern: ^m1[0-9a-hj-km-np-tv-z]{24}$
Example:

"m1n30gjk1d1e2jj34v9x0dq4rp"

name
string
required

Name of the machine image

Example:

"my-image"

location
string
required

Location of the machine image

Example:

"eu-central-h1"

arch
enum<string>
required

Architecture

Available options:
x64,
arm64
created_at
string<date-time>
required

Creation timestamp

latest_version
string | null

Latest version label